package com.ss.android.ugc.aweme.gsonopt;

import X.3t7;
import X.C1358Tpu;
import X.CEN;
import X.MCc;
import com.bytedance.covode.number.Covode;
import com.google.gson.c.a;
import com.ss.android.ugc.aweme.feed.model.CardStruct;

public class OptJsonAdapterFor$com$ss$android$ugc$aweme$commerce$AwemeCommerceStruct extends BaseAdapter {
    static {
        Covode.recordClassIndex(82940);
    }

    public OptJsonAdapterFor$com$ss$android$ugc$aweme$commerce$AwemeCommerceStruct(MCc mCc) {
        super(mCc);
    }

    public final Object LIZ() {
        return new C1358Tpu();
    }

    public final boolean LIZ(String str, Object obj, a aVar) {
        switch (str.hashCode()) {
            case -1789944101:
                if (!str.equals("with_comment_filter_words")) {
                    return false;
                }
                Object read = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read != null) {
                    ((C1358Tpu) obj).withCommentFilterWords = ((Boolean) read).booleanValue();
                }
                return true;
            case -1730935277:
                if (!str.equals("is_personal_page_forbidden")) {
                    return false;
                }
                Object read2 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read2 != null) {
                    ((C1358Tpu) obj).isPersonalPageForbidden = ((Boolean) read2).booleanValue();
                }
                return true;
            case -1524035550:
                if (!str.equals("prevent_privacy_reason")) {
                    return false;
                }
                ((C1358Tpu) obj).preventPrivacyReason = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -1395114230:
                if (!str.equals("avoid_global_pendant")) {
                    return false;
                }
                Object read3 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read3 != null) {
                    ((C1358Tpu) obj).avoid_global_pendant = ((Boolean) read3).booleanValue();
                }
                return true;
            case -1048206489:
                if (!str.equals("prevent_self_see")) {
                    return false;
                }
                Object read4 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read4 != null) {
                    ((C1358Tpu) obj).preventSelfSee = ((Boolean) read4).booleanValue();
                }
                return true;
            case -935902421:
                if (!str.equals("adv_promotable")) {
                    return false;
                }
                Object read5 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read5 != null) {
                    ((C1358Tpu) obj).adv_promotable = ((Boolean) read5).booleanValue();
                }
                return true;
            case -859098005:
                if (!str.equals("mission_item_status")) {
                    return false;
                }
                Object read6 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read6 != null) {
                    ((C1358Tpu) obj).missionItemStatus = ((Integer) read6).intValue();
                }
                return true;
            case -594228389:
                if (!str.equals("ad_event_type")) {
                    return false;
                }
                Object read7 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read7 != null) {
                    ((C1358Tpu) obj).adEventType = ((Integer) read7).intValue();
                }
                return true;
            case -551323202:
                if (!str.equals("last_view_time")) {
                    return false;
                }
                Object read8 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read8 != null) {
                    ((C1358Tpu) obj).lastViewTime = ((Long) read8).longValue();
                }
                return true;
            case -524002292:
                if (!str.equals("douplus_toast")) {
                    return false;
                }
                ((C1358Tpu) obj).douplus_toast = (CEN) this.LIZ.LIZ(CEN.class).read(aVar);
                return true;
            case -516372808:
                if (!str.equals("prevent_share")) {
                    return false;
                }
                Object read9 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read9 != null) {
                    ((C1358Tpu) obj).preventShare = ((Boolean) read9).booleanValue();
                }
                return true;
            case -358273109:
                if (!str.equals("creative_id")) {
                    return false;
                }
                ((C1358Tpu) obj).creativeId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -195635492:
                if (!str.equals("show_share_link")) {
                    return false;
                }
                Object read10 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read10 != null) {
                    ((C1358Tpu) obj).show_share_link = ((Boolean) read10).booleanValue();
                }
                return true;
            case -127926097:
                if (!str.equals("advertiser_id")) {
                    return false;
                }
                ((C1358Tpu) obj).advId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case -93915986:
                if (!str.equals("mission_id")) {
                    return false;
                }
                Object read11 = this.LIZ.LIZ(Long.class).read(aVar);
                if (read11 != null) {
                    ((C1358Tpu) obj).missionId = ((Long) read11).longValue();
                }
                return true;
            case 20696391:
                if (!str.equals("is_music_not_clickable")) {
                    return false;
                }
                Object read12 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read12 != null) {
                    ((C1358Tpu) obj).isMusicNotClickable = ((Boolean) read12).booleanValue();
                }
                return true;
            case 88501441:
                if (!str.equals("feedback_submitted")) {
                    return false;
                }
                Object read13 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read13 != null) {
                    ((C1358Tpu) obj).hasUserSubmittedFeedback = ((Boolean) read13).booleanValue();
                }
                return true;
            case 92655287:
                if (!str.equals("ad_id")) {
                    return false;
                }
                ((C1358Tpu) obj).adId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 548137729:
                if (!str.equals("biz_account")) {
                    return false;
                }
                ((C1358Tpu) obj).bizAccountInfo = (3t7) this.LIZ.LIZ(3t7.class).read(aVar);
                return true;
            case 740420082:
                if (!str.equals("prevent_delete")) {
                    return false;
                }
                Object read14 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read14 != null) {
                    ((C1358Tpu) obj).preventDelete = ((Boolean) read14).booleanValue();
                }
                return true;
            case 753458481:
                if (!str.equals("bc_label_test_text")) {
                    return false;
                }
                ((C1358Tpu) obj).bcHashtagText = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 769915831:
                if (!str.equals("ad_source")) {
                    return false;
                }
                Object read15 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read15 != null) {
                    ((C1358Tpu) obj).ad_source = ((Integer) read15).intValue();
                }
                return true;
            case 983663510:
                if (!str.equals("card_infos")) {
                    return false;
                }
                ((C1358Tpu) obj).cardStruct = (CardStruct) this.LIZ.LIZ(CardStruct.class).read(aVar);
                return true;
            case 1117937657:
                if (!str.equals("prevent_friend_see")) {
                    return false;
                }
                Object read16 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read16 != null) {
                    ((C1358Tpu) obj).preventFriendSee = ((Boolean) read16).booleanValue();
                }
                return true;
            case 1705742811:
                if (!str.equals("auction_ad_invited")) {
                    return false;
                }
                Object read17 = this.LIZ.LIZ(Boolean.class).read(aVar);
                if (read17 != null) {
                    ((C1358Tpu) obj).auction_ad_invited = ((Boolean) read17).booleanValue();
                }
                return true;
            case 1876599633:
                if (!str.equals("study_id")) {
                    return false;
                }
                ((C1358Tpu) obj).studyId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            case 1916708177:
                if (!str.equals("dark_post_source")) {
                    return false;
                }
                Object read18 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read18 != null) {
                    ((C1358Tpu) obj).darkPostSource = ((Integer) read18).intValue();
                }
                return true;
            case 1920732456:
                if (!str.equals("dark_post_status")) {
                    return false;
                }
                Object read19 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read19 != null) {
                    ((C1358Tpu) obj).darkPostStatus = ((Integer) read19).intValue();
                }
                return true;
            case 2048331853:
                if (!str.equals("ad_auth_status")) {
                    return false;
                }
                Object read20 = this.LIZ.LIZ(Integer.class).read(aVar);
                if (read20 != null) {
                    ((C1358Tpu) obj).ad_auth_status = ((Integer) read20).intValue();
                }
                return true;
            case 2116204999:
                if (!str.equals("item_id")) {
                    return false;
                }
                ((C1358Tpu) obj).itemId = (String) this.LIZ.LIZ(String.class).read(aVar);
                return true;
            default:
                return false;
        }
    }
}
